package main

import (
	"fmt"
	"math/big"
)

func main() {

	bi := big.NewInt(int64(4351454541541445))
	fmt.Println(bi)

	sn, ok := bi.SetString("999888555444777666222", 10)
	if !ok {
		fmt.Println("failed to set string")
	}
	fmt.Println(sn.Uint64())
	fmt.Println(sn)

}
